org.gjt.sp.util

## Class ReverseCharSequence

- java.lang.Object
- - org.gjt.sp.util.ReverseCharSequence

All Implemented Interfaces:
  java.lang.CharSequence

    public class ReverseCharSequence
    extends java.lang.Object
    implements java.lang.CharSequence

Reversed view of a given CharSequence.

### Constructor Summary

Constructors
Constructor and Description
`ReverseCharSequence(java.lang.CharSequence base)`

### Method Summary

Methods
`java.lang.CharSequence` `baseSequence()`
`char` `charAt(int index)`
`int` `length()`
`java.lang.CharSequence` `subSequence(int start, int end)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReverseCharSequence

    public ReverseCharSequence(java.lang.CharSequence base)

### Method Detail

#### baseSequence

    public java.lang.CharSequence baseSequence()

#### charAt

    public char charAt(int index)

Specified by:
  `charAt` in interface `java.lang.CharSequence`

#### length

    public int length()

Specified by:
  `length` in interface `java.lang.CharSequence`

#### subSequence

    public java.lang.CharSequence subSequence(int start,
                                     int end)

Specified by:
  `subSequence` in interface `java.lang.CharSequence`

#### toString

    public java.lang.String toString()

Specified by:
  `toString` in interface `java.lang.CharSequence`
Overrides:
  `toString` in class `java.lang.Object`